## movit 1.1.1

=== debian/changelog ===
movit (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 12 Apr 2014 14:25:21 +0200

movit (1.1-2) unstable; urgency=high

  * urgency=high, fixed an RC bug.
  * Add Conflicts: libmovit1 to libmovit2, since they ship overlapping
    shader files. Longer term, maybe we would want to do something
    to allow keeping multiple versions around, but this is the simplest
    thing for now, especially with no reverse dependencies. (Closes: #744183)
  * Make libmovit2 Multi-Arch: same, so that e.g. i386 and amd64 versions
    can be coinstalled.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 12 Apr 2014 02:37:35 +0200

movit (1.1-1) unstable; urgency=medium

  * New upstream release.
    * Soname bump to libmovit2.
    * Changed build-dependency from libglew-dev to libepoxy-dev,
      in line with upstream requirements.
    * Changed build-dependency from libsdl1.2-dev to libsdl2-dev,
      as the former is probably going away, and upstream now supports
      the latter.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 10 Apr 2014 00:24:08 +0200

movit (1.0.3-1) unstable; urgency=medium

  * Initial release.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 17 Mar 2014 00:14:23 +0100
