=== debian/changelog ===
movit (1.1.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 12 Aug 2014 23:05:52 +0200
