## movit 1.1.3

=== debian/changelog ===
movit (1.1.3-3) unstable; urgency=medium

  * _Really_ conflict with libmovit2; the conflict was
    mistakenly set on libmovit-dev instead of libmovit2v5.
    (Closes: #794910)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 08 Aug 2015 00:49:29 +0200

movit (1.1.3-2) unstable; urgency=medium

  * Change package name to libmovit2v5 for rebuild with g++-5.0 with the
    C++11 ABI; conflict with libmovit2. (Closes: #791205)

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 03 Jul 2015 23:44:52 +0200

movit (1.1.3-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 29 Mar 2015 01:10:21 +0100
