=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: libmovit-dev
 Section: libdevel
 Architecture: any
-Depends: libmovit2 (= ${binary:Version}), ${misc:Depends}
+Depends: libmovit2v5 (= ${binary:Version}), ${misc:Depends}
 Description: GPU video filter library - development files
  Movit is a high-quality, high performance, open-source library for video
  filters. It uses the GPU present in almost any modern computer to
@@ -18,12 +18,12 @@
  .
  This package contains the header files and static libraries.
 
-Package: libmovit2
+Package: libmovit2v5
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmovit1
+Conflicts: libmovit1, libmovit2
 Multi-Arch: same
 Description: GPU video filter library
  Movit is a high-quality, high performance, open-source library for video
