## movit 1.3.1

=== debian/changelog ===
movit (1.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 15 Feb 2016 17:44:08 -0800

movit (1.3.0-3) unstable; urgency=low

  * Update debian/copyright to fix a small Lintian warning (crashing license
    names between two different formulations of GPL-2+).
  * Update Standards-Version to 3.9.6 (no changes needed).

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 08 Feb 2016 20:33:59 +0100

movit (1.3.0-2) unstable; urgency=medium

  * Add missing dependencies (referenced from the .pc file) to libmovit-dev.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 01 Feb 2016 22:36:24 +0100

movit (1.3.0-1) unstable; urgency=medium

  * New upstream release.
    * Bump soname to libmovit4, as upstream changed sonames.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 31 Jan 2016 13:42:44 +0100

movit (1.2.0-1) unstable; urgency=medium

  * New upstream release.
    * Bump soname to libmovit3, as upstream changed sonames.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 24 Sep 2015 18:46:36 +0200
