=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
 Build-Depends: debhelper (>= 9.0.0), autotools-dev, libfftw3-dev, libepoxy-dev, libeigen3-dev, libgtest-dev, libsdl2-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://movit.sesse.net/
 
 Package: libmovit-dev
 Section: libdevel
 Architecture: any
-Depends: libmovit2v5 (= ${binary:Version}), ${misc:Depends}
+Depends: libmovit4 (= ${binary:Version}), ${misc:Depends}, libfftw3-dev, libepoxy-dev, libeigen3-dev
 Description: GPU video filter library - development files
  Movit is a high-quality, high performance, open-source library for video
  filters. It uses the GPU present in almost any modern computer to
@@ -18,12 +18,12 @@
  .
  This package contains the header files and static libraries.
 
-Package: libmovit2v5
+Package: libmovit4
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmovit1, libmovit2
+Conflicts: libmovit1, libmovit2, libmovit2v5, libmovit3
 Multi-Arch: same
 Description: GPU video filter library
  Movit is a high-quality, high performance, open-source library for video
