## movit 1.3.2

=== debian/changelog ===
movit (1.3.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 23 Feb 2016 22:48:57 +0100
