## movit 1.4.0

=== debian/changelog ===
movit (1.4.0-1) unstable; urgency=medium

  * New upstream release.
    * Upstream soname bump, so bump package name to libmovit5.
      Conflict with libmovit4.

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 05 Nov 2016 11:47:34 +0100
