## movit 1.5.3

=== debian/changelog ===
movit (1.5.3-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 10 Aug 2017 18:02:10 +0200

movit (1.5.2-1) unstable; urgency=medium

  * New upstream release.
    * Upstream soname bump, so bump package name to libmovit7.
      Conflict with libmovit6.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 05 Jul 2017 09:45:06 +0200

movit (1.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 18 Jun 2017 10:23:44 +0200

movit (1.5.1-1) experimental; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Mon, 29 May 2017 19:47:01 +0200

movit (1.5.0-1) experimental; urgency=medium

  * New upstream release.
    * Upstream soname bump, so bump package name to libmovit6.
      Conflict with libmovit5.

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 21 Mar 2017 19:42:23 +0100
