## movit 1.6.1

=== debian/changelog ===
movit (1.6.1-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 31 Jan 2018 23:02:40 +0100

movit (1.6.0-1) unstable; urgency=medium

  * New upstream release
    * Upstream soname bump, so bump package name to libmovit8.
      Conflict with libmovit7.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 25 Jan 2018 00:13:05 +0100
