## movit 1.6.2

=== debian/changelog ===
movit (1.6.2-2) unstable; urgency=high

  * fix-temporary-texture-race-issue.diff: New patch backported from upstream
    git, fixes a threading issue where a thread could start reusing a temporary
    texture while it's still being used in rendering. (Closes: #930570)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 15 Jun 2019 20:08:45 +0200

movit (1.6.2-1) unstable; urgency=medium

  * New upstream release.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 18 Mar 2018 16:25:30 +0100
