=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Package: libmovit-dev
 Section: libdevel
 Architecture: any
-Depends: libmovit7 (= ${binary:Version}), ${misc:Depends}, libfftw3-dev, libepoxy-dev, libeigen3-dev
+Depends: libmovit8 (= ${binary:Version}), ${misc:Depends}, libfftw3-dev, libepoxy-dev, libeigen3-dev
 Description: GPU video filter library - development files
  Movit is a high-quality, high performance, open-source library for video
  filters. It uses the GPU present in almost any modern computer to
@@ -18,12 +18,12 @@
  .
  This package contains the header files and static libraries.
 
-Package: libmovit7
+Package: libmovit8
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmovit1, libmovit2, libmovit2v5, libmovit3, libmovit4, libmovit5, libmovit6
+Conflicts: libmovit1, libmovit2, libmovit2v5, libmovit3, libmovit4, libmovit5, libmovit6, libmovit7
 Multi-Arch: same
 Description: GPU video filter library
  Movit is a high-quality, high performance, open-source library for video
