## movit 1.6.3

=== debian/changelog ===
movit (1.6.3-5) UNRELEASED; urgency=medium

  * update

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 19 May 2022 10:48:51 +0800

movit (1.6.3-5) unstable; urgency=medium

  * Source-only upload.

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 23 Jan 2020 21:30:54 +0100

movit (1.6.3-4) unstable; urgency=medium

  * workaround-glsizeiptr-abi-change.diff: New patch, work around the fact
    that Mesa newly changed GLsizeiptr from int (ptrdiff_t) to long
    (khronos_ssize_t) on 32-bit platforms, causing different name mangling
    between builds. (Closes: #949264)

 -- Steinar H. Gunderson <sesse@debian.org>  Thu, 23 Jan 2020 21:07:17 +0100

movit (1.6.3-3) unstable; urgency=medium

  * Source-only upload.

 -- Steinar H. Gunderson <sesse@debian.org>  Fri, 19 Jul 2019 22:44:35 +0200

movit (1.6.3-2) unstable; urgency=medium

  * Stop running the unit tests on build; they are not stable on the buildds.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 07 Jul 2019 14:04:45 +0200

movit (1.6.3-1) unstable; urgency=medium

  * New upstream release.
    * Obsoletes (includes) fix-temporary-texture-race-issue.diff.
  * Move to compat version 10. 
    * Bump versioned Build-depends accordingly.
  * Move to using dh in debian/rules.
  * Run unit tests on build, running the test suite under a virtual X server.
    * Add Build-depends on xvfb and xauth.

 -- Steinar H. Gunderson <sesse@debian.org>  Sun, 07 Jul 2019 10:53:02 +0200
