=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: movit
 Priority: optional
 Maintainer: Steinar H. Gunderson <sesse@debian.org>
-Build-Depends: debhelper (>= 9.0.0), autotools-dev, libfftw3-dev, libepoxy-dev, libeigen3-dev, libgtest-dev, libsdl2-dev
+Build-Depends: debhelper (>= 10.0.0), autotools-dev, libfftw3-dev, libepoxy-dev, libeigen3-dev, libgtest-dev, libsdl2-dev
 Standards-Version: 3.9.6
 Section: libs
 Homepage: http://movit.sesse.net/
