## movit 1.7.1

=== debian/changelog ===
movit (1.7.1-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:56:00 +0200

movit (1.7.1-1) unstable; urgency=medium

  * New upstream release.
    * Fixes issue with embedded shaders failing on some shader compilers.
      (Closes: #1041711)

 -- Steinar H. Gunderson <sesse@debian.org>  Tue, 01 Aug 2023 22:16:51 +0200

movit (1.7.0-1) unstable; urgency=medium

  * New upstream release.
    * Fixes compile error with newer Google Test. (Closes: #1041024)
    * No longer installs shaders, so Conflicts: with differently-versioned
      packages are no longer needed. (Closes: #917021)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 15 Jul 2023 17:42:03 +0200
