=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: movit
 Priority: optional
-Maintainer: Steinar H. Gunderson <sesse@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Steinar H. Gunderson <sesse@debian.org>
 Build-Depends: debhelper (>= 10.0.0), autotools-dev, libfftw3-dev, libepoxy-dev, libeigen3-dev, libgtest-dev, libsdl2-dev
 Standards-Version: 3.9.6
 Section: libs
@@ -23,7 +24,6 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libmovit1, libmovit2, libmovit2v5, libmovit3, libmovit4, libmovit5, libmovit6, libmovit7
 Multi-Arch: same
 Description: GPU video filter library
  Movit is a high-quality, high performance, open-source library for video
