## movit 1.7.2

=== debian/changelog ===
movit (1.7.2-1) unstable; urgency=medium

  * New upstream release.
    * Fixes FTBFS with newer Google Test. (Closes: #1114211)

 -- Steinar H. Gunderson <sesse@debian.org>  Sat, 06 Sep 2025 20:32:48 +0200
