=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: movit
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Steinar H. Gunderson <sesse@debian.org>
+Maintainer: Steinar H. Gunderson <sesse@debian.org>
 Build-Depends: debhelper (>= 10.0.0), autotools-dev, libfftw3-dev, libepoxy-dev, libeigen3-dev, libgtest-dev, libsdl2-dev
 Standards-Version: 3.9.6
 Section: libs
